/*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * (the "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
 * WARRANTY OF ANY KIND, either express or implied. See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * The Original Code is the Venice Web Communities System.
 * 
 * The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
 * for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
 * Copyright (C) 2002 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
 * 
 * Contributor(s): 
 */
package com.silverwrist.dynamo.mail;

import com.silverwrist.dynamo.except.MailException;

public interface MailMessage
{
  public static final int RECIP_TO = 0;

  public static final int RECIP_CC = 1;

  public static final int RECIP_BCC = 2;

  public void send() throws MailException;

  public void reset();

  public Object addRecipient(int type, String address) throws MailException;

  public Object addRecipient(int type, String address, String personal) throws MailException;

  public void removeRecipient(Object token);

  public void clearRecipients(int type) throws MailException;

  public void setSubject(String subject);

  public void setText(String text);

  public void loadTextTemplate(String resource_name);

  public Object setVariable(String name, Object value);

  public Object removeVariable(String name);

  public void addHeader(String name, String value) throws MailException;

  public void removeHeader(String name) throws MailException;

  public MailMessage createNew();

} // end interface MailMessage
